ByCloud Docs
GuidesCLIAPISDK
get/v1/backups/{backup_id}

Get backup

Get details of a specific backup

Path Parameters

backup_id

string<uuid>required

path

Backup ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

Backup details

Content-Type: application/json

backup

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/backups/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Backup details

{
"backup": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:storage:backup:550e8400-e29b-41d4-a716-446655440000",
"name": "backup-2024-01-15",
"description": "Weekly backup",
"status": "available",
"volume_id": "550e8400-e29b-41d4-a716-446655440001",
"size": 100,
"container": "string",
"is_incremental": false,
"has_dependent_backups": true,
"snapshot_id": "550e8400-e29b-41d4-a716-446655440000",
"metadata": {
"environment": "production",
"team": "backend"
},
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}